aboutsummaryrefslogtreecommitdiff
path: root/Config.in.legacy
diff options
context:
space:
mode:
authorGravatar Romain Naour <romain.naour@smile.fr>2019-08-02 15:09:35 +0200
committerGravatar Peter Korsgaard <peter@korsgaard.com>2019-08-04 12:57:59 +0200
commitbaf177502214a67619d9d0d6d0a780458e4d652d (patch)
tree071fd2b3e2196ebfee1ccd48e445fce6b964f176 /Config.in.legacy
parentb80712a16ae3deb65331a7923aa878e13e2e66b6 (diff)
downloadbuildroot-baf177502214a67619d9d0d6d0a780458e4d652d.tar.gz
buildroot-baf177502214a67619d9d0d6d0a780458e4d652d.tar.bz2
package/gcc: remove gcc 4.9
In order to reduce the number of choice in gcc selection, remove the gcc 4.9 version. This version was kept due to libstdc++ ABI-incompatible changes and other build issues with kernel and bootloader as reported by Arnout [1]. Since then, gcc 4.9 is not supported any more since glibc 2.29 [2] and recent kernel and bootloaders has been fixed to use more recent compiler version. [1] http://lists.busybox.net/pipermail/buildroot/2017-June/194374.html [2] https://www.sourceware.org/ml/libc-alpha/2019-01/msg00723.html Signed-off-by: Romain Naour <romain.naour@smile.fr> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
Diffstat (limited to 'Config.in.legacy')
-rw-r--r--Config.in.legacy7
1 files changed, 7 insertions, 0 deletions
diff --git a/Config.in.legacy b/Config.in.legacy
index 6a241b1ec8..fa7de2d8d3 100644
--- a/Config.in.legacy
+++ b/Config.in.legacy
@@ -146,6 +146,13 @@ endif
comment "Legacy options removed in 2019.08"
+config BR2_GCC_VERSION_4_9_X
+ bool "gcc 4.9.x support removed"
+ select BR2_LEGACY
+ help
+ Support for gcc version 4.9.x has been removed. The current
+ default version (8.x or later) has been selected instead.
+
config BR2_GDB_VERSION_7_12
bool "gdb 7.12.x has been removed"
select BR2_LEGACY